{ pkgs }:

let
  inherit (pkgs) lib;

  callPackage = lib.callPackageWith (pkgs // pkgs.python3.pkgs // self);

  self = builtins.listToAttrs (builtins.map (name: {
    inherit name;
    value = callPackage (./. + "/${name}.nix") { };
  }) [ "pydantic" "pydantic-core" ]);
in self
