let
  lib = import ../../../lib { };
  publicKeys = lib.getNodeKeys "compute01";
in

lib.setDefault { inherit publicKeys; } [
  "ds_fr-secret_file"
  "hedgedoc-environment_file"
  "mastodon-extra_env_file"
  "nextcloud-adminpass_file"
  "nextcloud-s3_secret_file"
  "outline-oidc_client_secret_file"
  "outline-smtp_password_file"
  "outline-storage_secret_key_file"
  "radius-auth_token_file"
  "radius-ca_pem_file"
  "radius-cert_pem_file"
  "radius-dh_pem_file"
  "radius-key_pem_file"
  "radius-private_key_password_file"
  "satosa-env_file"
  "vaultwarden-environment_file"
  "zammad-secret_key_base_file"
]
