{ lib, ... }:

lib.extra.mkConfig {
  enabledModules = [
    # List of modules to enable
    "dgn-web"
  ];

  enabledServices = [
    # List of services to enable
    "atticd"
    "forgejo"
    "garage"
    "gitea-actions-runner"
    "netbird"
    "peertube"
  ];

  extraConfig = {
    dgn-hardware.useZfs = true;

    dgn-runners.enable = true;

    services.netbird.enable = true;
  };

  root = ./.;
}
